﻿using System.Globalization;

namespace EDJournal {
    public class Credits {
        public static string FormatCredits(int amount) {
            var format = CultureInfo.CurrentCulture.NumberFormat;
            if ((amount % 1000000) == 0) {
                amount /= 1000000;
                return string.Format("{0}M CR", amount.ToString(format));
            } else if ((amount % 1000) == 0) {
                amount /= 1000;
                return string.Format("{0}K CR", amount.ToString(format));
            }

            return string.Format("{0} CR", amount.ToString(format));
        }
    }
}
